# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Classes

* [`watchdog`](#watchdog): Installs and manages a watchdog.
* [`watchdog::config`](#watchdogconfig)
* [`watchdog::install`](#watchdoginstall)
* [`watchdog::service`](#watchdogservice)

## Classes

### <a name="watchdog"></a>`watchdog`

Installs and manages a watchdog.

#### Examples

##### Declaring the class

```puppet
include ::watchdog
```

#### Parameters

The following parameters are available in the `watchdog` class:

* [`manage_package`](#manage_package)
* [`package_name`](#package_name)
* [`period`](#period)
* [`service_enable`](#service_enable)
* [`service_ensure`](#service_ensure)
* [`service_manage`](#service_manage)
* [`service_name`](#service_name)
* [`interfaces`](#interfaces)
* [`pings`](#pings)

##### <a name="manage_package"></a>`manage_package`

Data type: `Boolean`



##### <a name="package_name"></a>`package_name`

Data type: `Optional[String]`

The name of the package.

##### <a name="period"></a>`period`

Data type: `Integer[0]`



##### <a name="service_enable"></a>`service_enable`

Data type: `Boolean`



##### <a name="service_ensure"></a>`service_ensure`

Data type: `Stdlib::Ensure::Service`



##### <a name="service_manage"></a>`service_manage`

Data type: `Boolean`

Whether to manage the service.

##### <a name="service_name"></a>`service_name`

Data type: `String`

Name of the service.

##### <a name="interfaces"></a>`interfaces`

Data type: `Array[String]`

Array of network interfaces to watch, empty by default.

Default value: `[]`

##### <a name="pings"></a>`pings`

Data type: `Array[Stdlib::IP::Address::NoSubnet]`

Array of network addresess to ping, empty by default.

Default value: `[]`

### <a name="watchdogconfig"></a>`watchdog::config`

The watchdog::config class.

### <a name="watchdoginstall"></a>`watchdog::install`

The watchdog::install class.

### <a name="watchdogservice"></a>`watchdog::service`

The watchdog::service class.

